Bug 6692 - (int-149847) Unable to set a Google Talk account to Away
(int-149847)
: Unable to set a Google Talk account to Away
Status: VERIFIED FIXED
Product: Chat & Call & SMS
Presence
: 5.0/(2.2009.51-1)
: N900 Maemo
: Low normal with 2 votes (vote)
: 5.0/(10.2010.19-1)
Assigned To: rtcomm@maemo.org
: presence-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2009-12-08 00:14 UTC by crolix
Modified: 2010-05-27 13:49 UTC (History)
3 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description crolix (reporter) 2009-12-08 00:14:45 UTC
SOFTWARE VERSION:
1.2009.42-11

EXACT STEPS LEADING TO PROBLEM: 
1. Open the status menu and select "Availability".
2. Select "New status".
3. Tap on a Google Talk account to select a status for it.

EXPECTED OUTCOME:
The displayed list contains the following values: Available, Away, Busy, Sign
out.

ACTUAL OUTCOME:
The displayed list contains the following values: Available, Busy, Sign out.

REPRODUCIBILITY:
Always.

OTHER COMMENTS:
The above works correctly for a Skype account. If a Skype account is selected
in the steps above instead of a Google Talk account, the following values are
shown: Online, Away, Do not disturb, Invisible, Offline.
Comment 1 Mikhail Zabaluev nokia 2009-12-08 13:39:04 UTC
Thanks, imported.
Comment 2 Andre Klapper maemo.org 2009-12-18 15:16:24 UTC
This is currently being worked on.
Comment 3 Andre Klapper maemo.org 2010-01-12 18:25:29 UTC
This has been fixed in package
rtcom-accounts-ui 4.117-1+0m5
which is part of the internal build version
2009.53-2
(Note: 2009 is the year, and the number after is the week.)

A future public update released with the year/week later than this internal
build version will include the fix. (This is not always already the next public
update.)
Please verify that this new version fixes the bug by marking this bug report as
VERIFIED after the public update has been released and if you have some time.


To answer popular followup questions:
 * Nokia does not announce release dates of public updates in advance.
 * There is currently no access to these internal, non-public build versions.
   A Brainstorm proposal to change this exists at
http://maemo.org/community/brainstorm/view/undelayed_bugfix_releases_for_nokia_open_source_packages-002/
Comment 4 crolix (reporter) 2010-02-16 22:27:50 UTC
The bug is still there after the 3.2010.02-8 update.
Comment 5 crolix (reporter) 2010-02-16 22:38:46 UTC
Perhaps I reopened this bug too hastily. The rtcom-accounts-ui does not seem to
be included in the 3.2010.02-8 update, so this bug can't be verified yet.
Setting back to fixed...
Comment 6 Andre Klapper maemo.org 2010-02-17 01:10:20 UTC
As written in comment 3 already:
"This is not always already the next public update."
Comment 7 Andre Klapper maemo.org 2010-03-15 20:52:03 UTC
Setting explicit PR1.2 milestone (so it's clearer in which public release the
fix will be available to users).

Sorry for the bugmail noise (you can filter on this message).
Comment 8 crolix (reporter) 2010-05-27 13:49:32 UTC
Works in 10.2010.19-1.